import { EventEmitter } from "@angular/core";
import { AvailableStock } from "@colijnit/transactionapi/build/model/available-stock.bo";
export declare class TransactionAvailableStockGridComponent {
    collection: AvailableStock[];
    selectStock: EventEmitter<AvailableStock>;
    showClass(): boolean;
    selectedStock: AvailableStock;
    handleSelectRow(availableStock: AvailableStock): void;
    handleDeleteClick(): void;
}
